void main()
{
	gl_FrontColor = vec4(gl_Vertex.x+0.5, gl_Vertex.y+0.5, gl_Vertex.z+0.5, 1.0);
	gl_BackColor = vec4(gl_Vertex.x+0.5, gl_Vertex.y+0.5, gl_Vertex.z+0.5, 1.0);

	// default vertex transformation
	gl_Position = ftransform();
}